/*
* React Tooltip
* {@link https://github.com/ReactTooltip/react-tooltip}
* @copyright ReactTooltip Team
* @license MIT
*/
import e,{createContext as t,useState as o,useCallback as r,useMemo as l,useContext as n,useRef as c,useEffect as i,useLayoutEffect as s}from"react";import{arrow as a,computePosition as u,offset as d,flip as p,shift as v,autoUpdate as m}from"@floating-ui/dom";import f from"classnames";const y="react-tooltip-core-styles",h="react-tooltip-base-styles",w={core:!1,base:!1};function b({css:e,id:t=h,type:o="base",ref:r}){var l,n;if(!e||"undefined"==typeof document||w[o])return;if("core"===o&&"undefined"!=typeof process&&(null===(l=null===process||void 0===process?void 0:process.env)||void 0===l?void 0:l.REACT_TOOLTIP_DISABLE_CORE_STYLES))return;if("base"!==o&&"undefined"!=typeof process&&(null===(n=null===process||void 0===process?void 0:process.env)||void 0===n?void 0:n.REACT_TOOLTIP_DISABLE_BASE_STYLES))return;"core"===o&&(t=y),r||(r={});const{insertAt:c}=r;if(document.getElementById(t))return void console.warn(`[react-tooltip] Element with id '${t}' already exists. Call \`removeStyle()\` first`);const i=document.head||document.getElementsByTagName("head")[0],s=document.createElement("style");s.id=t,s.type="text/css","top"===c&&i.firstChild?i.insertBefore(s,i.firstChild):i.appendChild(s),s.styleSheet?s.styleSheet.cssText=e:s.appendChild(document.createTextNode(e)),w[o]=!0}function E({type:e="base",id:t=h}={}){if(!w[e])return;"core"===e&&(t=y);const o=document.getElementById(t);"style"===(null==o?void 0:o.tagName)?null==o||o.remove():console.warn(`[react-tooltip] Failed to remove 'style' element with id '${t}'. Call \`injectStyle()\` first`),w[e]=!1}const S=(e,t,o)=>{let r=null;return function(...l){const n=()=>{r=null,o||e.apply(this,l)};o&&!r&&(e.apply(this,l),r=setTimeout(n,t)),o||(r&&clearTimeout(r),r=setTimeout(n,t))}},g="DEFAULT_TOOLTIP_ID",_={anchorRefs:new Set,activeAnchor:{current:null},attach:()=>{},detach:()=>{},setActiveAnchor:()=>{}},A=t({getTooltipData:()=>_}),T=({children:t})=>{const[n,c]=o({[g]:new Set}),[i,s]=o({[g]:{current:null}}),a=(e,...t)=>{c((o=>{var r;const l=null!==(r=o[e])&&void 0!==r?r:new Set;return t.forEach((e=>l.add(e))),{...o,[e]:new Set(l)}}))},u=(e,...t)=>{c((o=>{const r=o[e];return r?(t.forEach((e=>r.delete(e))),{...o}):o}))},d=r(((e=g)=>{var t,o;return{anchorRefs:null!==(t=n[e])&&void 0!==t?t:new Set,activeAnchor:null!==(o=i[e])&&void 0!==o?o:{current:null},attach:(...t)=>a(e,...t),detach:(...t)=>u(e,...t),setActiveAnchor:t=>((e,t)=>{s((o=>{var r;return(null===(r=o[e])||void 0===r?void 0:r.current)===t.current?o:{...o,[e]:t}}))})(e,t)}}),[n,i,a,u]),p=l((()=>({getTooltipData:d})),[d]);return e.createElement(A.Provider,{value:p},t)};function O(e=g){return n(A).getTooltipData(e)}const k=({tooltipId:t,children:o,className:r,place:l,content:n,html:s,variant:a,offset:u,wrapper:d,events:p,positionStrategy:v,delayShow:m,delayHide:y})=>{const{attach:h,detach:w}=O(t),b=c(null);return i((()=>(h(b),()=>{w(b)})),[]),e.createElement("span",{ref:b,className:f("react-tooltip-wrapper",r),"data-tooltip-place":l,"data-tooltip-content":n,"data-tooltip-html":s,"data-tooltip-variant":a,"data-tooltip-offset":u,"data-tooltip-wrapper":d,"data-tooltip-events":p,"data-tooltip-position-strategy":v,"data-tooltip-delay-show":m,"data-tooltip-delay-hide":y},o)},L="undefined"!=typeof window?s:i,C=e=>{if(!(e instanceof HTMLElement||e instanceof SVGElement))return!1;const t=getComputedStyle(e);return["overflow","overflow-x","overflow-y"].some((e=>{const o=t.getPropertyValue(e);return"auto"===o||"scroll"===o}))},R=e=>{if(!e)return null;let t=e.parentElement;for(;t;){if(C(t))return t;t=t.parentElement}return document.scrollingElement||document.documentElement},N=async({elementReference:e=null,tooltipReference:t=null,tooltipArrowReference:o=null,place:r="top",offset:l=10,strategy:n="absolute",middlewares:c=[d(Number(l)),p(),v({padding:5})],border:i})=>{if(!e)return{tooltipStyles:{},tooltipArrowStyles:{},place:r};if(null===t)return{tooltipStyles:{},tooltipArrowStyles:{},place:r};const s=c;return o?(s.push(a({element:o,padding:5})),u(e,t,{placement:r,strategy:n,middleware:s}).then((({x:e,y:t,placement:o,middlewareData:r})=>{var l,n;const c={left:`${e}px`,top:`${t}px`,border:i},{x:s,y:a}=null!==(l=r.arrow)&&void 0!==l?l:{x:0,y:0},u=null!==(n={top:"bottom",right:"left",bottom:"top",left:"right"}[o.split("-")[0]])&&void 0!==n?n:"bottom",d=i&&{borderBottom:i,borderRight:i};let p=0;if(i){const e=`${i}`.match(/(\d+)px/);p=(null==e?void 0:e[1])?Number(e[1]):1}return{tooltipStyles:c,tooltipArrowStyles:{left:null!=s?`${s}px`:"",top:null!=a?`${a}px`:"",right:"",bottom:"",...d,[u]:`-${4+p}px`},place:o}}))):u(e,t,{placement:"bottom",strategy:n,middleware:s}).then((({x:e,y:t,placement:o})=>({tooltipStyles:{left:`${e}px`,top:`${t}px`},tooltipArrowStyles:{},place:o})))};var x="core-styles-module_tooltip__3vRRp",$="core-styles-module_fixed__pcSol",I="core-styles-module_arrow__cvMwQ",j="core-styles-module_noArrow__xock6",B="core-styles-module_clickable__ZuTTB",z="core-styles-module_show__Nt9eE",D={tooltip:"styles-module_tooltip__mnnfp",arrow:"styles-module_arrow__K0L3T",dark:"styles-module_dark__xNqje",light:"styles-module_light__Z6W-X",success:"styles-module_success__A2AKt",warning:"styles-module_warning__SCK0X",error:"styles-module_error__JvumD",info:"styles-module_info__BWdHW"};const H=({id:t,className:l,classNameArrow:n,variant:s="dark",anchorId:a,anchorSelect:u,place:d="top",offset:p=10,events:v=["hover"],openOnClick:y=!1,positionStrategy:h="absolute",middlewares:w,wrapper:b,delayShow:E=0,delayHide:g=0,float:_=!1,hidden:A=!1,noArrow:T=!1,clickable:k=!1,closeOnEsc:C=!1,closeOnScroll:H=!1,closeOnResize:q=!1,openEvents:M,closeEvents:W,globalCloseEvents:P,style:F,position:K,afterShow:U,afterHide:X,content:Y,contentWrapperRef:V,isOpen:Z,setIsOpen:G,activeAnchor:J,setActiveAnchor:Q,border:ee,opacity:te,arrowColor:oe})=>{const re=c(null),le=c(null),ne=c(null),ce=c(null),[ie,se]=o(d),[ae,ue]=o({}),[de,pe]=o({}),[ve,me]=o(!1),[fe,ye]=o(!1),he=c(!1),we=c(null),{anchorRefs:be,setActiveAnchor:Ee}=O(t),Se=c(!1),[ge,_e]=o([]),Ae=c(!1),Te=y||v.includes("click"),Oe=Te||(null==M?void 0:M.click)||(null==M?void 0:M.dblclick)||(null==M?void 0:M.mousedown),ke=M?{...M}:{mouseenter:!0,focus:!0,click:!1,dblclick:!1,mousedown:!1};!M&&Te&&Object.assign(ke,{mouseenter:!1,focus:!1,click:!0});const Le=W?{...W}:{mouseleave:!0,blur:!0,click:!1};!W&&Te&&Object.assign(Le,{mouseleave:!1,blur:!1});const Ce=P?{...P}:{escape:C||!1,scroll:H||!1,resize:q||!1,clickOutsideAnchor:Oe||!1};L((()=>(Ae.current=!0,()=>{Ae.current=!1})),[]),i((()=>{if(!ve){const e=setTimeout((()=>{ye(!1)}),150);return()=>{clearTimeout(e)}}return()=>null}),[ve]);const Re=e=>{Ae.current&&(e&&ye(!0),setTimeout((()=>{Ae.current&&(null==G||G(e),void 0===Z&&me(e))}),10))};i((()=>{if(void 0===Z)return()=>null;Z&&ye(!0);const e=setTimeout((()=>{me(Z)}),10);return()=>{clearTimeout(e)}}),[Z]),i((()=>{ve!==he.current&&(he.current=ve,ve?null==U||U():null==X||X())}),[ve]);const Ne=(e=g)=>{ce.current&&clearTimeout(ce.current),ce.current=setTimeout((()=>{Se.current||Re(!1)}),e)},xe=e=>{var t;if(!e)return;const o=null!==(t=e.currentTarget)&&void 0!==t?t:e.target;if(!(null==o?void 0:o.isConnected))return Q(null),void Ee({current:null});E?(ne.current&&clearTimeout(ne.current),ne.current=setTimeout((()=>{Re(!0)}),E)):Re(!0),Q(o),Ee({current:o}),ce.current&&clearTimeout(ce.current)},$e=()=>{k?Ne(g||100):g?Ne():Re(!1),ne.current&&clearTimeout(ne.current)},Ie=({x:e,y:t})=>{N({place:d,offset:p,elementReference:{getBoundingClientRect:()=>({x:e,y:t,width:0,height:0,top:t,left:e,right:e,bottom:t})},tooltipReference:re.current,tooltipArrowReference:le.current,strategy:h,middlewares:w,border:ee}).then((e=>{Object.keys(e.tooltipStyles).length&&ue(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&pe(e.tooltipArrowStyles),se(e.place)}))},je=e=>{if(!e)return;const t=e,o={x:t.clientX,y:t.clientY};Ie(o),we.current=o},Be=e=>{var t;[document.querySelector(`[id='${a}']`),...ge].some((t=>null==t?void 0:t.contains(e.target)))||(null===(t=re.current)||void 0===t?void 0:t.contains(e.target))||(Re(!1),ne.current&&clearTimeout(ne.current))},ze=S(xe,50,!0),De=S($e,50,!0),He=r((()=>{K?Ie(K):_?we.current&&Ie(we.current):(null==J?void 0:J.isConnected)&&N({place:d,offset:p,elementReference:J,tooltipReference:re.current,tooltipArrowReference:le.current,strategy:h,middlewares:w,border:ee}).then((e=>{Ae.current&&(Object.keys(e.tooltipStyles).length&&ue(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&pe(e.tooltipArrowStyles),se(e.place))}))}),[ve,J,Y,F,d,p,h,K,_]);i((()=>{var e,t;const o=new Set(be);ge.forEach((e=>{o.add({current:e})}));const r=document.querySelector(`[id='${a}']`);r&&o.add({current:r});const l=()=>{Re(!1)},n=R(J),c=R(re.current);Ce.scroll&&(window.addEventListener("scroll",l),null==n||n.addEventListener("scroll",l),null==c||c.addEventListener("scroll",l));let i=null;Ce.resize?window.addEventListener("resize",l):J&&re.current&&(i=m(J,re.current,He,{ancestorResize:!0,elementResize:!0,layoutShift:!0}));const s=e=>{"Escape"===e.key&&Re(!1)};Ce.escape&&window.addEventListener("keydown",s),Ce.clickOutsideAnchor&&window.addEventListener("click",Be);const u=[],d=e=>{ve||xe(e)},p=()=>{ve&&$e()},v=["mouseenter","mouseleave","focus","blur"],f=["click","dblclick","mousedown","mouseup"];Object.entries(ke).forEach((([e,t])=>{t&&(v.includes(e)?u.push({event:e,listener:ze}):f.includes(e)&&u.push({event:e,listener:d}))})),Object.entries(Le).forEach((([e,t])=>{t&&(v.includes(e)?u.push({event:e,listener:De}):f.includes(e)&&u.push({event:e,listener:p}))})),_&&u.push({event:"mousemove",listener:je});const y=()=>{Se.current=!0},h=()=>{Se.current=!1,$e()};return k&&!Oe&&(null===(e=re.current)||void 0===e||e.addEventListener("mouseenter",y),null===(t=re.current)||void 0===t||t.addEventListener("mouseleave",h)),u.forEach((({event:e,listener:t})=>{o.forEach((o=>{var r;null===(r=o.current)||void 0===r||r.addEventListener(e,t)}))})),()=>{var e,t;Ce.scroll&&(window.removeEventListener("scroll",l),null==n||n.removeEventListener("scroll",l),null==c||c.removeEventListener("scroll",l)),Ce.resize?window.removeEventListener("resize",l):null==i||i(),Ce.clickOutsideAnchor&&window.removeEventListener("click",Be),Ce.escape&&window.removeEventListener("keydown",s),k&&!Oe&&(null===(e=re.current)||void 0===e||e.removeEventListener("mouseenter",y),null===(t=re.current)||void 0===t||t.removeEventListener("mouseleave",h)),u.forEach((({event:e,listener:t})=>{o.forEach((o=>{var r;null===(r=o.current)||void 0===r||r.removeEventListener(e,t)}))}))}}),[J,He,fe,be,ge,M,W,P,Te]),i((()=>{let e=null!=u?u:"";!e&&t&&(e=`[data-tooltip-id='${t}']`);const o=new MutationObserver((o=>{const r=[],l=[];o.forEach((o=>{if("attributes"===o.type&&"data-tooltip-id"===o.attributeName){o.target.getAttribute("data-tooltip-id")===t&&r.push(o.target)}if("childList"===o.type){if(J){const t=[...o.removedNodes].filter((e=>1===e.nodeType));if(e)try{l.push(...t.filter((t=>t.matches(e)))),l.push(...t.flatMap((t=>[...t.querySelectorAll(e)])))}catch(e){}t.some((e=>{var t;return!!(null===(t=null==e?void 0:e.contains)||void 0===t?void 0:t.call(e,J))&&(ye(!1),Re(!1),Q(null),ne.current&&clearTimeout(ne.current),ce.current&&clearTimeout(ce.current),!0)}))}if(e)try{const t=[...o.addedNodes].filter((e=>1===e.nodeType));r.push(...t.filter((t=>t.matches(e)))),r.push(...t.flatMap((t=>[...t.querySelectorAll(e)])))}catch(e){}}})),(r.length||l.length)&&_e((e=>[...e.filter((e=>l.includes(e))),...r]))}));return o.observe(document.body,{childList:!0,subtree:!0,attributes:!0,attributeFilter:["data-tooltip-id"]}),()=>{o.disconnect()}}),[t,u,J]),i((()=>{He()}),[He]),i((()=>{if(!(null==V?void 0:V.current))return()=>null;const e=new ResizeObserver((()=>{He()}));return e.observe(V.current),()=>{e.disconnect()}}),[Y,null==V?void 0:V.current]),i((()=>{var e;const t=document.querySelector(`[id='${a}']`),o=[...ge,t];J&&o.includes(J)||Q(null!==(e=ge[0])&&void 0!==e?e:t)}),[a,ge,J]),i((()=>()=>{ne.current&&clearTimeout(ne.current),ce.current&&clearTimeout(ce.current)}),[]),i((()=>{let e=u;if(!e&&t&&(e=`[data-tooltip-id='${t}']`),e)try{const t=Array.from(document.querySelectorAll(e));_e(t)}catch(e){_e([])}}),[t,u]);const qe=!A&&Y&&ve&&Object.keys(ae).length>0;return fe?e.createElement(b,{id:t,role:"tooltip",className:f("react-tooltip",x,D.tooltip,D[s],l,`react-tooltip__place-${ie}`,{"react-tooltip__show":qe,[z]:qe,[$]:"fixed"===h,[B]:k}),style:{...F,...ae,opacity:void 0!==te&&qe?te:void 0},ref:re},Y,e.createElement(b,{className:f("react-tooltip-arrow",I,D.arrow,n,{[j]:T}),style:{...de,background:oe?`linear-gradient(to right bottom, transparent 50%, ${oe} 50%)`:void 0},ref:le})):null},q=({content:t})=>e.createElement("span",{dangerouslySetInnerHTML:{__html:t}}),M=({id:t,anchorId:r,anchorSelect:l,content:n,html:s,render:a,className:u,classNameArrow:d,variant:p="dark",place:v="top",offset:m=10,wrapper:f="div",children:y=null,events:h=["hover"],openOnClick:w=!1,positionStrategy:b="absolute",middlewares:E,delayShow:S=0,delayHide:g=0,float:_=!1,hidden:A=!1,noArrow:T=!1,clickable:k=!1,closeOnEsc:L=!1,closeOnScroll:C=!1,closeOnResize:R=!1,openEvents:N,closeEvents:x,globalCloseEvents:$,style:I,position:j,isOpen:B,disableStyleInjection:z=!1,border:D,opacity:M,arrowColor:W,setIsOpen:P,afterShow:F,afterHide:K})=>{const[U,X]=o(n),[Y,V]=o(s),[Z,G]=o(v),[J,Q]=o(p),[ee,te]=o(m),[oe,re]=o(S),[le,ne]=o(g),[ce,ie]=o(_),[se,ae]=o(A),[ue,de]=o(f),[pe,ve]=o(h),[me,fe]=o(b),[ye,he]=o(null),we=c(z),{anchorRefs:be,activeAnchor:Ee}=O(t),Se=e=>null==e?void 0:e.getAttributeNames().reduce(((t,o)=>{var r;if(o.startsWith("data-tooltip-")){t[o.replace(/^data-tooltip-/,"")]=null!==(r=null==e?void 0:e.getAttribute(o))&&void 0!==r?r:null}return t}),{}),ge=e=>{const t={place:e=>{var t;G(null!==(t=e)&&void 0!==t?t:v)},content:e=>{X(null!=e?e:n)},html:e=>{V(null!=e?e:s)},variant:e=>{var t;Q(null!==(t=e)&&void 0!==t?t:p)},offset:e=>{te(null===e?m:Number(e))},wrapper:e=>{var t;de(null!==(t=e)&&void 0!==t?t:f)},events:e=>{const t=null==e?void 0:e.split(" ");ve(null!=t?t:h)},"position-strategy":e=>{var t;fe(null!==(t=e)&&void 0!==t?t:b)},"delay-show":e=>{re(null===e?S:Number(e))},"delay-hide":e=>{ne(null===e?g:Number(e))},float:e=>{ie(null===e?_:"true"===e)},hidden:e=>{ae(null===e?A:"true"===e)}};Object.values(t).forEach((e=>e(null))),Object.entries(e).forEach((([e,o])=>{var r;null===(r=t[e])||void 0===r||r.call(t,o)}))};i((()=>{X(n)}),[n]),i((()=>{V(s)}),[s]),i((()=>{G(v)}),[v]),i((()=>{Q(p)}),[p]),i((()=>{te(m)}),[m]),i((()=>{re(S)}),[S]),i((()=>{ne(g)}),[g]),i((()=>{ie(_)}),[_]),i((()=>{ae(A)}),[A]),i((()=>{fe(b)}),[b]),i((()=>{we.current!==z&&console.warn("[react-tooltip] Do not change `disableStyleInjection` dynamically.")}),[z]),i((()=>{"undefined"!=typeof window&&window.dispatchEvent(new CustomEvent("react-tooltip-inject-styles",{detail:{disableCore:"core"===z,disableBase:z}}))}),[]),i((()=>{var e;const o=new Set(be);let n=l;if(!n&&t&&(n=`[data-tooltip-id='${t}']`),n)try{document.querySelectorAll(n).forEach((e=>{o.add({current:e})}))}catch(e){console.warn(`[react-tooltip] "${n}" is not a valid CSS selector`)}const c=document.querySelector(`[id='${r}']`);if(c&&o.add({current:c}),!o.size)return()=>null;const i=null!==(e=null!=ye?ye:c)&&void 0!==e?e:Ee.current,s=new MutationObserver((e=>{e.forEach((e=>{var t;if(!i||"attributes"!==e.type||!(null===(t=e.attributeName)||void 0===t?void 0:t.startsWith("data-tooltip-")))return;const o=Se(i);ge(o)}))})),a={attributes:!0,childList:!1,subtree:!1};if(i){const e=Se(i);ge(e),s.observe(i,a)}return()=>{s.disconnect()}}),[be,Ee,ye,r,l]),i((()=>{(null==I?void 0:I.border)&&console.warn("[react-tooltip] Do not set `style.border`. Use `border` prop instead."),D&&!CSS.supports("border",`${D}`)&&console.warn(`[react-tooltip] "${D}" is not a valid \`border\`.`),(null==I?void 0:I.opacity)&&console.warn("[react-tooltip] Do not set `style.opacity`. Use `opacity` prop instead."),M&&!CSS.supports("opacity",`${M}`)&&console.warn(`[react-tooltip] "${M}" is not a valid \`opacity\`.`)}),[]);let _e=y;const Ae=c(null);if(a){const t=a({content:null!=U?U:null,activeAnchor:ye});_e=t?e.createElement("div",{ref:Ae,className:"react-tooltip-content-wrapper"},t):null}else U&&(_e=U);Y&&(_e=e.createElement(q,{content:Y}));const Te={id:t,anchorId:r,anchorSelect:l,className:u,classNameArrow:d,content:_e,contentWrapperRef:Ae,place:Z,variant:J,offset:ee,wrapper:ue,events:pe,openOnClick:w,positionStrategy:me,middlewares:E,delayShow:oe,delayHide:le,float:ce,hidden:se,noArrow:T,clickable:k,closeOnEsc:L,closeOnScroll:C,closeOnResize:R,openEvents:N,closeEvents:x,globalCloseEvents:$,style:I,position:j,isOpen:B,border:D,opacity:M,arrowColor:W,setIsOpen:P,afterShow:F,afterHide:K,activeAnchor:ye,setActiveAnchor:e=>he(e)};return e.createElement(H,{...Te})};"undefined"!=typeof window&&window.addEventListener("react-tooltip-inject-styles",(e=>{e.detail.disableCore||b({css:`:root{--rt-color-white:#fff;--rt-color-dark:#222;--rt-color-success:#8dc572;--rt-color-error:#be6464;--rt-color-warning:#f0ad4e;--rt-color-info:#337ab7;--rt-opacity:0.9}.core-styles-module_tooltip__3vRRp{visibility:hidden;position:absolute;top:0;left:0;pointer-events:none;opacity:0;transition:opacity 0.3s ease-out;will-change:opacity,visibility}.core-styles-module_fixed__pcSol{position:fixed}.core-styles-module_arrow__cvMwQ{position:absolute;background:inherit}.core-styles-module_noArrow__xock6{display:none}.core-styles-module_clickable__ZuTTB{pointer-events:auto}.core-styles-module_show__Nt9eE{visibility:visible;opacity:var(--rt-opacity)}`,type:"core"}),e.detail.disableBase||b({css:`
.styles-module_tooltip__mnnfp{padding:8px 16px;border-radius:3px;font-size:90%;width:max-content}.styles-module_arrow__K0L3T{width:8px;height:8px}[class*='react-tooltip__place-top']>.styles-module_arrow__K0L3T{transform:rotate(45deg)}[class*='react-tooltip__place-right']>.styles-module_arrow__K0L3T{transform:rotate(135deg)}[class*='react-tooltip__place-bottom']>.styles-module_arrow__K0L3T{transform:rotate(225deg)}[class*='react-tooltip__place-left']>.styles-module_arrow__K0L3T{transform:rotate(315deg)}.styles-module_dark__xNqje{background:var(--rt-color-dark);color:var(--rt-color-white)}.styles-module_light__Z6W-X{background-color:var(--rt-color-white);color:var(--rt-color-dark)}.styles-module_success__A2AKt{background-color:var(--rt-color-success);color:var(--rt-color-white)}.styles-module_warning__SCK0X{background-color:var(--rt-color-warning);color:var(--rt-color-white)}.styles-module_error__JvumD{background-color:var(--rt-color-error);color:var(--rt-color-white)}.styles-module_info__BWdHW{background-color:var(--rt-color-info);color:var(--rt-color-white)}`,type:"base"})}));export{M as Tooltip,T as TooltipProvider,k as TooltipWrapper,E as removeStyle};
